Bug 85260 - Early-out and avoid any copying when possible for Region operations
Summary: Early-out and avoid any copying when possible for Region operations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dana Jansens
URL:
Keywords:
Depends on: 81076
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 22:08 PDT by Dana Jansens
Modified: 2012-05-09 10:00 PDT (History)
11 users (show)

See Also:


Attachments
Patch (3.93 KB, patch)
2012-04-30 22:14 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff
Patch (7.62 KB, patch)
2012-05-08 18:11 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff
Patch (7.78 KB, patch)
2012-05-09 08:30 PDT, Dana Jansens
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dana Jansens 2012-04-30 22:08:25 PDT
Early-out and avoid any copying when possible for Region operations
Comment 1 Dana Jansens 2012-04-30 22:14:32 PDT
Created attachment 139581 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-30 22:17:47 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12585513
Comment 3 Philippe Normand 2012-04-30 22:18:42 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12592461
Comment 4 Dana Jansens 2012-04-30 22:19:53 PDT
Comment on attachment 139581 [details]
Patch

This won't compile without bug #81076.
Comment 5 Early Warning System Bot 2012-04-30 22:20:47 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12584513
Comment 6 Early Warning System Bot 2012-04-30 22:20:54 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12584514
Comment 7 Build Bot 2012-04-30 22:29:21 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12585519
Comment 8 Build Bot 2012-04-30 22:39:12 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12587477
Comment 9 Gyuyoung Kim 2012-05-01 05:22:58 PDT
Comment on attachment 139581 [details]
Patch

Attachment 139581 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/12587542
Comment 10 Dana Jansens 2012-05-08 18:11:12 PDT
Created attachment 140835 [details]
Patch
Comment 11 Build Bot 2012-05-08 18:57:31 PDT
Comment on attachment 140835 [details]
Patch

Attachment 140835 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12647499
Comment 12 Dana Jansens 2012-05-09 08:30:36 PDT
Created attachment 140952 [details]
Patch
Comment 13 Anders Carlsson 2012-05-09 09:13:44 PDT
Comment on attachment 140952 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=140952&action=review

> Source/WebKit/chromium/tests/RegionTest.cpp:390
> +    r. unite(IntRect(0, 0, 500, 500));

Extra space here
Comment 14 WebKit Review Bot 2012-05-09 10:00:34 PDT
Comment on attachment 140952 [details]
Patch

Clearing flags on attachment: 140952

Committed r116538: <http://trac.webkit.org/changeset/116538>
Comment 15 WebKit Review Bot 2012-05-09 10:00:40 PDT
All reviewed patches have been landed.  Closing bug.